<?php 

require_once "../controladores/ventas.controlador.php";
require_once "../modelos/ventas.modelo.php";

class AjaxVenta {

    /*=============================================
	VALIDAR NO REPETIR CLIENTE
	=============================================*/	

	public $validarVenta;

	public function ajaxValidarVenta(){

		$item = "codigo_externo";
		$valor = $this->validarVenta;

		$respuesta = ControladorVentas::ctrMostrarVentas($item, $valor);

		echo json_encode($respuesta);

	}


    /** Editar Venta */

    public $idVenta;

    public function ajaxEditarVenta(){

        $item = "id";
        $valor = $this -> idVenta;

        $respuesta = ControladorVentas::ctrMostrarVentas($item, $valor);

        echo json_encode($respuesta);

    } 

    public $CodigoVenta;

    public function ajaxTraerVentas(){

        $item = "codigo";
        $valor = $this -> CodigoVenta;

        $respuesta = ControladorVentas::ctrMostrarVentas1($item, $valor);

        echo json_encode($respuesta);

    } 



}

/** EDITAR Venta */

if(isset($_POST["idVenta"])){
    $editar = new AjaxVenta();
    $editar -> idVenta = $_POST["idVenta"];
    $editar -> ajaxEditarVenta();

}

/*=============================================
VALIDAR NO REPETIR CODIGO EXTERNO DE LA VENTA
=============================================*/

if(isset( $_POST["validarVenta"])){

	$valVenta = new AjaxVenta();
	$valVenta -> validarVenta = $_POST["validarVenta"];
	$valVenta -> ajaxValidarVenta();

}

if(isset( $_POST["CodigoVenta"])){

	$codigoVenta = new AjaxVenta();
	$codigoVenta -> CodigoVenta = $_POST["CodigoVenta"];
	$codigoVenta -> ajaxTraerVentas();

}




